org.osgi.framework.BundleException

There are no available Samebug tips for this exception. Do you have an idea how to solve this issue? A short tip would help users who saw this issue last week.

  • I tried to use Hibernate-Tools with the Eclipse 3.3.1. I downloaded the current release of Eclipse 3.3.1.1 and installed Hibernate-Tools 3.2.0.GA. After starting Eclipse I noticed that no Eclipse-Views of Hibernate-Tools are available, but the Hibernate plugin is visible under the 'Product Configuration' window. This is exactly the same problem as it was reported in the issue HBX-960 (and even reported as closed in 3.2beta10). The only difference is that I use now EclipseTools version 3.2.0 GA from JBossTools 2.0.0.GA (2007-12-10 23:33) and Eclipse 3.3.1.1 This is the output of the osgi console: -----------------8<---------------------------- osgi> start org.hibernate.eclipse.mapper org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Mi ssing Constraint: Require-Bundle: org.eclipse.wst.xml.core; bundle-version="0.0. 0" at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(Bundl eHost.java:305) at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(Abstrac tBundle.java:260) at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(Abstrac tBundle.java:252) at org.eclipse.osgi.framework.internal.core.FrameworkCommandProvider._st art(FrameworkCommandProvider.java:260) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) at java.lang.reflect.Method.invoke(Unknown Source) at org.eclipse.osgi.framework.internal.core.FrameworkCommandInterpreter. execute(FrameworkCommandInterpreter.java:150) at org.eclipse.osgi.framework.internal.core.FrameworkConsole.docommand(F rameworkConsole.java:291) at org.eclipse.osgi.framework.internal.core.FrameworkConsole.console(Fra meworkConsole.java:276) at org.eclipse.osgi.framework.internal.core.FrameworkConsole.run(Framewo rkConsole.java:218) at java.lang.Thread.run(Unknown Source) osgi> -----------------8<---------------------------- Should I still have WTP package installed to use HibernateTools on Eclipse?
    via by Timur Shakirov,
  • I tried to use Hibernate-Tools with the Eclipse 3.3.1. I downloaded the current release of Eclipse 3.3.1.1 and installed Hibernate-Tools 3.2.0.GA. After starting Eclipse I noticed that no Eclipse-Views of Hibernate-Tools are available, but the Hibernate plugin is visible under the 'Product Configuration' window. This is exactly the same problem as it was reported in the issue HBX-960 (and even reported as closed in 3.2beta10). The only difference is that I use now EclipseTools version 3.2.0 GA from JBossTools 2.0.0.GA (2007-12-10 23:33) and Eclipse 3.3.1.1 This is the output of the osgi console: -----------------8<---------------------------- osgi> start org.hibernate.eclipse.mapper org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Mi ssing Constraint: Require-Bundle: org.eclipse.wst.xml.core; bundle-version="0.0. 0" at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(Bundl eHost.java:305) at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(Abstrac tBundle.java:260) at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(Abstrac tBundle.java:252) at org.eclipse.osgi.framework.internal.core.FrameworkCommandProvider._st art(FrameworkCommandProvider.java:260) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) at java.lang.reflect.Method.invoke(Unknown Source) at org.eclipse.osgi.framework.internal.core.FrameworkCommandInterpreter. execute(FrameworkCommandInterpreter.java:150) at org.eclipse.osgi.framework.internal.core.FrameworkConsole.docommand(F rameworkConsole.java:291) at org.eclipse.osgi.framework.internal.core.FrameworkConsole.console(Fra meworkConsole.java:276) at org.eclipse.osgi.framework.internal.core.FrameworkConsole.run(Framewo rkConsole.java:218) at java.lang.Thread.run(Unknown Source) osgi> -----------------8<---------------------------- Should I still have WTP package installed to use HibernateTools on Eclipse?
    via by Timur Shakirov,
  • Using slf4j with jdk1.4
    via by amacg,
  • XBean spring-handler
    via by codymccain,
  • JamVM
    via by Andrew Peebles,
    • org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Mi ssing Constraint: Require-Bundle: org.eclipse.wst.xml.core; bundle-version="0.0. 0" at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:305) at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:260) at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:252) at org.eclipse.osgi.framework.internal.core.FrameworkCommandProvider._start(FrameworkCommandProvider.java:260) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) at java.lang.reflect.Method.invoke(Unknown Source) at org.eclipse.osgi.framework.internal.core.FrameworkCommandInterpreter.execute(FrameworkCommandInterpreter.java:150) at org.eclipse.osgi.framework.internal.core.FrameworkConsole.docommand(FrameworkConsole.java:291) at org.eclipse.osgi.framework.internal.core.FrameworkConsole.console(FrameworkConsole.java:276) at org.eclipse.osgi.framework.internal.core.FrameworkConsole.run(FrameworkConsole.java:218) at java.lang.Thread.run(Unknown Source)

    Users with the same issue

    Unknown visitor
    Unknown visitor2 times, last one,